Skip to main content
PATCH
/
v1
/
products
/
{id}
Update a product
curl --request PATCH \
  --url https://api.plexospay.com/v1/products/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "price": 123,
  "active": true,
  "metadata": {}
}
'
{
  "id": "pr_abc123",
  "name": "Premium Plan",
  "description": "<string>",
  "price": "50000",
  "currency": "CVE",
  "active": true,
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Path Parameters

id
string
required

Body

application/json
name
string
description
string
price
integer
active
boolean
metadata
object

Arbitrary key-value metadata (max 50 keys)

Response

200 - application/json

Product updated

id
string
Example:

"pr_abc123"

name
string
Example:

"Premium Plan"

description
string | null
price
string
Example:

"50000"

currency
enum<string>

ISO currency code

Available options:
CVE,
AOA
active
boolean
metadata
object

Arbitrary key-value metadata (max 50 keys)

createdAt
string<date-time>
updatedAt
string<date-time>